Package org.eclipse.gef

# Class AutoexposeHelper.Search

java.lang.Object
org.eclipse.gef.AutoexposeHelper.Search

All Implemented Interfaces:
  `EditPartViewer.Conditional`

Enclosing interface:
  `AutoexposeHelper`

public static class AutoexposeHelper.Search extends Object implements EditPartViewer.Conditional
Used with EditPartViewers to find the AutoexposeHelper at a Point. Clients can instantiate the search, call `EditPartViewer.findObjectAtExcluding(Point,Collection, EditPartViewer.Conditional)` , and then check the `result` field.

## Field Summary

Fields
Modifier and Type
Field
Description
`AutoexposeHelper`
`result`

## Constructor Summary

Constructors
Constructor
Description
`Search(org.eclipse.draw2d.geometry.Point pt)`
Constructs a new Search at a point on the viewer.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`evaluate(EditPart editpart)`
Returns `true` if the editpart meets this condition.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### result

public AutoexposeHelper result

## Constructor Details

### Search

public Search(org.eclipse.draw2d.geometry.Point pt)
Constructs a new Search at a point on the viewer.

Parameters:
  `pt` - the mouse location

## Method Details

### evaluate

public boolean evaluate(EditPart editpart)
Description copied from interface: `EditPartViewer.Conditional`
Returns `true` if the editpart meets this condition.

Specified by:
  `evaluate` in interface `EditPartViewer.Conditional`
Parameters:
  `editpart` - the editpart being evaluated
Returns:
  `true` if the editpart meets the condition